View Issue Details

IDProjectCategoryView StatusLast Update
0014131LazarusLCLpublic2009-07-16 11:38
ReporterPiotr KardaszAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version0.9.27 (SVN)Fixed in Version 
Summary0014131: Changing trackbar position in program doesn't trigger OnChange
DescriptionOpensuse 11.0 x64, Lazarus SVN 20760, qt

Sample code:
---------------------------------------------------

procedure TForm1.BitBtn1Click(Sender: TObject);

var i:integer;

begin
  i:=trackbar1.position;
  i+=1;
  if i>9 then i:=1;
  trackbar1.position:=i;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
    label1.Caption:=inttostr(trackbar1.position);
end;

-----------------------------------------------
There is trackbar, button and label on Form1

In GTK2, when button1 is clicked, label1 displays actual trackbar position. In QT, label1 remains unchanged.
TagsNo tags attached.
Fixed in Revision20842
LazTarget0.9.28
WidgetsetQT
Attached Files

Relationships

related to 0014545 closedPaul Ishenin Copy of 0014131: Changing trackbar position in program doesn't trigger OnChange 

Activities

Zeljan Rikalo

2009-07-11 23:54

developer   ~0029055

some example app ?

Zeljan Rikalo

2009-07-12 10:25

developer   ~0029058

test and close if ok.

Piotr Kardasz

2009-07-16 11:36

reporter   ~0029121

SVN 20869 - works OK

Issue History

Date Modified Username Field Change
2009-07-11 12:45 Piotr Kardasz New Issue
2009-07-11 12:45 Piotr Kardasz Widgetset => QT
2009-07-11 23:53 Zeljan Rikalo Status new => assigned
2009-07-11 23:53 Zeljan Rikalo Assigned To => Zeljan Rikalo
2009-07-11 23:54 Zeljan Rikalo LazTarget => -
2009-07-11 23:54 Zeljan Rikalo Note Added: 0029055
2009-07-11 23:54 Zeljan Rikalo Status assigned => feedback
2009-07-12 10:25 Zeljan Rikalo Fixed in Revision => 20842
2009-07-12 10:25 Zeljan Rikalo LazTarget - => 0.9.28
2009-07-12 10:25 Zeljan Rikalo Status feedback => resolved
2009-07-12 10:25 Zeljan Rikalo Resolution open => fixed
2009-07-12 10:25 Zeljan Rikalo Note Added: 0029058
2009-07-12 10:25 Zeljan Rikalo Target Version => 0.9.27 (SVN)
2009-07-16 11:36 Piotr Kardasz Note Added: 0029121
2009-07-16 11:38 Piotr Kardasz Status resolved => closed
2009-09-09 12:05 Vincent Snijders Relationship added related to 0014545